Bug 2437 - `make` is targeting grammar/spell-checkers without being configured for them
Summary: `make` is targeting grammar/spell-checkers without being configured for them
Status: RESOLVED FIXED
Alias: None
Product: Infrastructure
Classification: Unclassified
Component: newinfra (show other bugs)
Version: unspecified
Hardware: All All
: P1 - Immediately major
Assignee: Sjur Nørstebø Moshagen
URL:
Keywords:
: 2436 (view as bug list)
Depends on:
Blocks:
 
Reported: 2017-10-09 18:59 CEST by Robert Reynolds
Modified: 2017-10-10 11:51 CEST (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Reynolds 2017-10-09 18:59:24 CEST
I have configured with `./configure --with-hfst --enable-apertium`, and the configuration output shows that neither spellers or grammar checkers should be compiled. However, `make` eventually chokes on the following:


Making all in grammarcheckers
make[2]: *** No rule to make target `../spellcheckers/fstbased/desktop/analyser-desktopspeller-gt-norm.hfst', needed by `acceptor.default.hfst'.  Stop.
make[1]: *** [all-recursive] Error 1
make: *** [all-recursive] Error 1

I tried `make clean`, but the error persists.

I found a workaround: configure with `./configure --with-hfst --enable-apertium --enable-spellers`.
Comment 1 Robert Reynolds 2017-10-09 18:59:58 CEST
This is in `langs/rus/`
Comment 2 Børre Gaup 2017-10-09 19:07:10 CEST
*** Bug 2436 has been marked as a duplicate of this bug. ***
Comment 3 Sjur Nørstebø Moshagen 2017-10-10 11:51:48 CEST
Fixed in commits 158250-158253 & 158255, 158256.